> ## Documentation Index
> Fetch the complete documentation index at: https://loops.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Check contact suppression status

> Check if a contact is suppressed by email address or user ID.

## Request

### Query parameters

Check by email or user ID. Only one parameter is allowed.

<ParamField query="email" type="string">
  The contact's email address. Make sure it is
  [URI-encoded](https://en.wikipedia.org/wiki/Percent-encoding).
</ParamField>

<ParamField query="userId" type="string">
  The contact's unique user ID.
</ParamField>

## Response

### Success

This endpoint will return the suppression status for a contact and the suppression removal quota.

<ResponseField name="contact" type="object" required>
  <Expandable title="properties" defaultOpen={true}>
    <ResponseField name="id" type="string">
      The contact's Loops-assigned ID.
    </ResponseField>

    <ResponseField name="email" type="string">
      The contact's email address.
    </ResponseField>

    <ResponseField name="userId" type="nullable string">
      The contact's unique user ID.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="isSuppressed" type="boolean" required>
  Whether the contact is suppressed.
</ResponseField>

<ResponseField name="removalQuota" type="object" required>
  <Expandable title="properties" defaultOpen={true}>
    <ResponseField name="limit" type="integer">
      The number of suppression removals you can request in a rolling 30 day period.
    </ResponseField>

    <ResponseField name="remaining" type="integer">
      The remaining number of suppression removals left in the current 30 day period.
    </ResponseField>
  </Expandable>
</ResponseField>

### Error

If there is an issue with the request, a `400 Bad Request` will be returned.

If no contact is found, a `404 Not Found` will be returned.

<ResponseField name="success" type="boolean" required />

<ResponseField name="message" type="string" required>
  An error message describing the problem with the request.
</ResponseField>

<ResponseExample>
  ```json Response theme={"dark"}
  {
    "contact": {
      "id": "cll6b3i8901a9jx0oyktl2m4u",
      "email": "test@example.com",
      "userId": null
    },
    "isSuppressed": true,
    "removalQuota": {
      "limit": 0,
      "remaining": 0
    }
  }
  ```

  ```json 400 response theme={"dark"}
  {
    "success": false,
    "message": "An email or userId is required."
  }
  ```

  ```json 404 response theme={"dark"}
  {
    "success": false,
    "message": "This contact was not found."
  }
  ```
</ResponseExample>
